$OpenBSD: patch-configure,v 1.74 2014/05/16 01:34:50 brad Exp $
--- configure.orig	Sat Apr 12 17:12:35 2014
+++ configure	Sat Apr 12 17:15:59 2014
@@ -1505,39 +1505,39 @@ echo configuration: $configuration > "$TMPLOG"
 echo >> "$TMPLOG"
 
 
-# local FFmpeg checkout handling
-if test -e ffmpeg/.svn ; then
-    echo "You have an outdated FFmpeg SVN checkout in ffmpeg/, please (re)move or replace it"
-    exit 1
-fi
+## local FFmpeg checkout handling
+#if test -e ffmpeg/.svn ; then
+#    echo "You have an outdated FFmpeg SVN checkout in ffmpeg/, please (re)move or replace it"
+#    exit 1
+#fi
+#
+#FFBRANCH=master
+#test -e FFBRANCH && FFBRANCH=$(cat FFMPEG_BRANCH)
+#
+#if test -e ffmpeg/mp_auto_pull ; then
+#    echo "Updating FFmpeg, (re)move ffmpeg/mp_auto_pull to disable"
+#    (cd ffmpeg && git checkout $FFBRANCH)
+#    if ! (cd ffmpeg && git pull --rebase --ff-only) ; then
+#        echo "git pull failed, (re)move ffmpeg/mp_auto_pull to disable pulling"
+#        exit 1
+#    fi
+#fi
+#
+#if test "$ffmpeg_a" != "no" && ! test -e ffmpeg ; then
+#    echo "No FFmpeg checkout, press enter to download one with git or CTRL+C to abort"
+#    read tmp
+#    if ! git clone -b $FFBRANCH --depth 1 git://source.ffmpeg.org/ffmpeg.git ffmpeg ; then
+#        rm -rf ffmpeg
+#        echo "Failed to get a FFmpeg checkout"
+#        echo "Please try again or put FFmpeg source code copy into ffmpeg/ manually."
+#        echo "Nightly snapshot: http://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2"
+#        echo "To use a github mirror via http (e.g. because a firewall blocks git):"
+#        echo "git clone --depth 1 https://github.com/FFmpeg/FFmpeg ffmpeg; touch ffmpeg/mp_auto_pull"
+#        exit 1
+#    fi
+#    touch ffmpeg/mp_auto_pull
+#fi
 
-FFBRANCH=master
-test -e FFBRANCH && FFBRANCH=$(cat FFMPEG_BRANCH)
-
-if test -e ffmpeg/mp_auto_pull ; then
-    echo "Updating FFmpeg, (re)move ffmpeg/mp_auto_pull to disable"
-    (cd ffmpeg && git checkout $FFBRANCH)
-    if ! (cd ffmpeg && git pull --rebase --ff-only) ; then
-        echo "git pull failed, (re)move ffmpeg/mp_auto_pull to disable pulling"
-        exit 1
-    fi
-fi
-
-if test "$ffmpeg_a" != "no" && ! test -e ffmpeg ; then
-    echo "No FFmpeg checkout, press enter to download one with git or CTRL+C to abort"
-    read tmp
-    if ! git clone -b $FFBRANCH --depth 1 git://source.ffmpeg.org/ffmpeg.git ffmpeg ; then
-        rm -rf ffmpeg
-        echo "Failed to get a FFmpeg checkout"
-        echo "Please try again or put FFmpeg source code copy into ffmpeg/ manually."
-        echo "Nightly snapshot: http://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2"
-        echo "To use a github mirror via http (e.g. because a firewall blocks git):"
-        echo "git clone --depth 1 https://github.com/FFmpeg/FFmpeg ffmpeg; touch ffmpeg/mp_auto_pull"
-        exit 1
-    fi
-    touch ffmpeg/mp_auto_pull
-fi
-
 list_subparts() {
   test ! -e ffmpeg/libav${3} && return 1
   pattern="s/^[^#]*${1}.*([^ ,]*, *\([^ ,)]*\).*/\1_${2}/p"
@@ -2390,7 +2390,7 @@ case "$host_arch" in
     arch='sparc'
     iproc='sparc'
     if test "$host_arch" = "sparc64" ; then
-      _vis='yes'
+      # _vis='yes'
       proc='ultrasparc'
       def_fast_64bit='#define HAVE_FAST_64BIT 1'
     elif sunos ; then
@@ -2724,7 +2724,7 @@ cat > $TMPC << EOF
 int ff_extern;
 EOF
 cc_check -c || die "Symbol mangling check failed."
-sym=$($_nm -P -g $TMPEXE)
+sym=$($_nm -g $TMPEXE | grep ff_extern | cut -d ' ' -f 3)
 extern_prefix=${sym%%ff_extern*}
 def_extern_asm="#define EXTERN_ASM $extern_prefix"
 def_extern_prefix="#define EXTERN_PREFIX \"$extern_prefix\""
@@ -2852,7 +2852,7 @@ elif test $relocatable = "yes" ; then
 fi
 echores $relocatable
 
-if x86_32 ; then
+if false ; then # x86_32
   # Checking assembler (_as) compatibility...
   # Added workaround for older as that reads from stdin by default - atmos
   as_version=$(echo '' | $_as -version 2>&1 | sed -n 's/^.*assembler \(version \)*\([0-9.]*\).*$/\2/p')
@@ -6191,7 +6191,7 @@ echocheck "cdparanoia"
 if test "$_cdparanoia" = auto ; then
     _cdparanoia=no
     for inc_tmp in "" "-I/usr/include/cdda" "-I/usr/local/include/cdda" ; do
-      statement_check_broken cdda_interface.h cdda_paranoia.h 'paranoia_cachemodel_size(NULL, 0)' $inc_tmp -lcdda_interface -lcdda_paranoia &&
+      statement_check_broken cdda_interface.h cdda_paranoia.h 'paranoia_free(NULL)' $inc_tmp -lcdda_interface -lcdda_paranoia &&
         _cdparanoia=yes && extra_cflags="$extra_cflags $inc_tmp" && break
     done
 fi
@@ -8146,6 +8146,7 @@ extra_ldflags="$extra_ldflags $libm"
 # XML documentation tests
 echocheck "XML catalogs"
 for try_catalog in \
+  ${LOCALBASE}/share/sgml/catalog \
   /etc/sgml/catalog \
   /usr/share/xml/docbook/*/catalog.xml \
   /opt/local/share/xml/docbook-xml/*/catalog.xml \
@@ -8173,6 +8174,7 @@ fi
 
 echocheck "XML chunked stylesheet"
 for try_chunk_xsl in \
+  ${LOCALBASE}/share/xsl/docbook/html/chunk.xsl \
   /usr/share/xml/docbook/*/html/chunk.xsl \
   /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html/chunk.xsl \
   /usr/share/sgml/docbook/yelp/docbook/html/chunk.xsl \
@@ -8198,6 +8200,7 @@ fi
 
 echocheck "XML monolithic stylesheet"
 for try_docbook_xsl in \
+  ${LOCALBASE}/share/xsl/docbook/html/docbook.xsl \
   /usr/share/xml/docbook/*/html/docbook.xsl \
   /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html/docbook.xsl \
   /usr/share/sgml/docbook/yelp/docbook/html/docbook.xsl \
@@ -8251,6 +8254,7 @@ EOF
 echocheck "XML DTD"
 #FIXME: This should prefer higher version numbers, not the other way around ..
 for try_dtd in \
+  ${LOCALBASE}/share/xml/docbook/*/docbookx.dtd \
   /usr/share/xml/docbook/*/dtd/4*/docbookx.dtd \
   /usr/share/xml/docbook/*/docbookx.dtd \
   /usr/share/sgml/docbook/*/docbookx.dtd \
